This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 889352

Summary: [i18n] translated string not displayed in Welcome dialog: "Set keyboard to default layout for selected language."
Product: [Fedora] Fedora Reporter: Steve Tyler <stephent98>
Component: anacondaAssignee: Brian Lane <bcl>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, awilliam, benjavalero, g.kaviyarasu, jonathan, kparal, piotrdrag, robatino, sbueno, stephent98, vanmeeuwen+fedora
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedBlocker
Fixed In Version: anaconda-18.37.7-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-02 16:48:55 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752661, 858628    
Attachments:
Description Flags
screenshot showing "Set keyboard to default layout for selected language." with Polish selected none

Description Steve Tyler 2012-12-20 16:41:04 EST
Description of problem:
This string is translated and present in anaconda.mo, but the translated string is not displayed in the Welcome dialog when a non-English language is selected:
"Set keyboard to default layout for selected language."

Version-Release number of selected component (if applicable):
anaconda-18.37.5-1.fc18

How reproducible:
Always.

Steps to Reproduce:
1. Start Live CD and update the installer.
2. Start the installer.
3. Select Polish (Poland) or Dutch (Netherlands) as the language.

Actual results:
The English string is displayed:
"Set keyboard to default layout for selected language."

Expected results:
The translated string is displayed:
Polish: "Ustawienie _klawiatury na domyślny układ dla wybranego języka."
Dutch: "Stel het toetsenbord in met de standaardlayout die hoort bij de gekozen taal."

Additional info:

The translated strings can be found in the corresponding anaconda.mo files:
$ less /usr/share/locale/pl/LC_MESSAGES/anaconda.mo # search for "klawiatury"
$ less /usr/share/locale/nl/LC_MESSAGES/anaconda.mo # search for "toetsenbord"

The strings can be found at Transifex:
https://fedora.transifex.com/projects/p/anaconda/resource/master/l/pl/view/
https://fedora.transifex.com/projects/p/anaconda/resource/master/l/nl/view/

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-3.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 1 Steve Tyler 2012-12-20 17:49:02 EST
Created attachment 666980 [details]
screenshot showing "Set keyboard to default layout for selected language." with Polish selected
Comment 2 Steve Tyler 2012-12-21 15:00:39 EST
Proposing F18 blocker per Fedora 18 Final Release Criterion:
"14. All critical path actions on release-blocking desktop environments should correctly display all sufficiently complete translations available for use"

Fedora 18 Final Release Criteria
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
Comment 3 Adam Williamson 2012-12-21 16:16:32 EST
Discussed at 2012-12-21 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-21/f18final-blocker-review-7.2012-12-21-18.33.log.txt . Accepted as a blocker per criterion cited in comment #2.
Comment 4 Adam Williamson 2012-12-21 16:35:11 EST
<bcl> adamw: I don't know what's wrong with 889352. it is in the pot file and the glade is: <property name="label" translatable="yes">Set _keyboard to default layout for selected language.</property>

steve: if you figure this one out, do yell!
Comment 5 Adam Williamson 2012-12-21 16:47:32 EST
n/m, bcl got it.
Comment 6 Steve Tyler 2012-12-21 16:54:33 EST
[f18-branch] add setKeyboardCheckButton to list of things to translate (#889352)
https://lists.fedorahosted.org/pipermail/anaconda-patches/2012-December/002624.html

Thanks.

Yet another way for translations to go wrong. There must be a better way ... :-)
Comment 7 Fedora Update System 2012-12-21 18:32:08 EST
dracut-024-17.git20121220.fc18, anaconda-18.37.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.7-1.fc18
Comment 8 Fedora Update System 2012-12-22 16:10:31 EST
Package dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-024-17.git20121220.fc18 anaconda-18.37.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.8-1.fc18
then log in and leave karma (feedback).
Comment 9 Kamil Páral 2013-01-02 08:56:00 EST
Fixed in anaconda 18.37.8.
Comment 10 Fedora Update System 2013-01-02 16:49:00 EST
dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.